VERILATOR_COVERAGE(1)

NAME
verilator_coverage - Verilator coverage analyzer

SYNOPSIS
    verilator_coverage --help
    verilator_coverage --version

    verilator_coverage --annotate <obj>

    verilator_coverage  -write merged.dat <datafiles>...

    verilator_coverage  -write-info merged.info <datafiles>...

Verilator_coverage processes Verilated model-generated coverage reports.

For documentation see <https://verilator.org/guide/latest/exe_verilator_coverage.html>.

ARGUMENT SUMMARY
    <filename>    Specify input data filename, default "coverage.dat"
    --annotate <output_dir>       Directory name for source annotation.
    --annotate-all                All files should be shown.
    --annotate-min <count>        Minimum occurrence count for uncovered.
    --annotate-points             Annotates info from each coverage point.
    --help                        Displays this message and version and exits.
    --rank                        Compute relative importance of tests.
    --unlink                      With --write, unlink all inputs
    --version                     Displays program version and exits.
    --write <filename>            Write aggregate coverage results.
    --write-info <filename.info>  Write lcov .info.

    +libext+<ext>+<ext>...        Extensions for Verilog files.
    +define+<var>+<value>         Defines the given variable.
    -D<var>=<value>               Defines the given variable.
    +incdir+<dir>                 Add directory for finding include files.
    -I<dir>                       Add directory for finding include files.
    -y <dir>                      Specifies module search directory.

DISTRIBUTION
The latest version is available from <https://verilator.org>.

Copyright 2003-2024 by Wilson Snyder. This program is free software; you can redistribute it and/or modify the Verilator internals under the terms of either the GNU Lesser General Public License Version 3 or the Perl Artistic License Version 2.0.

SPDX-License-Identifier: LGPL-3.0-only OR Artistic-2.0

SEE ALSO
"verilator", "lcov"

"verilator_coverage --help" which is the source for this document.

and <https://verilator.org/guide/latest/exe_verilator_coverage.html> for detailed documentation.